- name: Systempakete aktualisieren
  apt:
    update_cache: yes
    upgrade: safe
    autoremove: yes
    autoclean: yes
  register: upgrade_result
  become: true

- name: Zeige ggf. Anzahl aktualisierter Pakete
  debug:
    msg: "Anzahl aktualisierter Pakete: {{ upgrade_result.stdout_lines | default([]) | length }}"

- name: Reboot durchführen, wenn notwendig
  reboot:
    msg: "Reboot wegen Kernel-/System-Update erforderlich"
    pre_reboot_delay: 30
  when: upgrade_result.changed
